<template>
  <div>
    <LHeader :text="text"></LHeader>
    <van-cell-group
        inset
        v-for="(item, index) in messageList"
        :key="index"
        @click="goDetail(item.taskId)"
      >

        <van-row gutter="">
          <van-col span="7">隐患编号:</van-col>
          <van-col span="17">{{ item.businessId }}</van-col>
        </van-row>
      
        <van-row gutter="">
          <van-col span="7">隐患项目名称:</van-col>
          <van-col span="17">{{ item.proId }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">隐患级别:</van-col>
          <van-col span="17">{{ item.hdLev }}</van-col>
        </van-row>
        <van-row gutter="">
          <van-col span="7">发现时间:</van-col>
          <van-col span="17">{{ item.startDate }}</van-col>
        </van-row>
        <!-- 详情 -->
      <div class="detail">详情</div>
      </van-cell-group>


    <van-form
      @submit="onSubmit"
      :show-error='false'
      :scroll-to-error="true"
      validate-trigger="onSubmit"
    >
      <van-field name="isResult" label="隐患复查结果">
        <template #input>
          <van-radio-group
            v-model="radio"
            direction="horizontal"
            @change="selectResult"
          >
            <van-radio name="1">同意</van-radio>
            <van-radio name="0">退回</van-radio>
          </van-radio-group>
        </template>
      </van-field>

      <!-- 同意时的选项 -->
      <div class="agree" v-if="radio == 1">
        <van-field
          v-model="agreeOpinion"
          label="审批意见"
          name="details"
          rows="3"
          type="textarea"
          placeholder="请输入"
        />
      </div>

      <!-- 退回是的选项 -->
      <div class="disagree" v-else>
        <van-field
        readonly
        clickable
        name="thinkHdLev"
        :value="thinkLevel"
        label="认为隐患级别"
        placeholder="请选择"
        @click="showThinkLevel = true"
        :rules="[{ required: true, message: '认为隐患级别不能为空' }]"
      />
      <van-popup v-model="showThinkLevel" position="bottom">
        <van-picker
          show-toolbar
          value-key="projectName"
          :columns="columnsThinkLevel"
          @confirm="onConThinkLevel"
          @cancel="showThinkLevel = false"
        />
      </van-popup>

        <van-field
          v-model="disagreeOpinion"
          label="审批意见"
          name="details"
          rows="3"
          type="textarea"
          placeholder="请输入"
          :rules="[{ required: true, message: '退回原因不能为空' }]"
        />
      </div>

      <div style="margin: 16px;">
        <van-button round block type="info" native-type="submit"
          >保存</van-button
        >
      </div>
    </van-form>
    <div style="margin:10px 16px 0px;padding-bottom:16px">
      <van-button round block type="warning" @click.native="cancel"
        >取消</van-button
      >
    </div>
  </div>
</template>

<script>
import LHeader from "@/components/header.vue";
import { majorAdd } from "@/service/danger";
export default {
  name:"major-survey",
  components: {
    LHeader
  },
  data() {
    return {
      taskId: "",
      messageList: [],
      radio: "1",
      text: "重大隐患审批",
      agreeOpinion: "",
      disagreeOpinion: "",
      thinkLevel:'', //因为隐患级别
      showThinkLevel: false,
      columnsThinkLevel:["重大隐患","一般隐患A","一般隐患B","一般隐患C",]

    };
  },
   beforeRouteEnter(to, from, next) {
    next(vm => {
      if (from.name === "major-danger") {
        vm.messageList = [];
        let paramsData = to.params.data;
        vm.taskId = paramsData.taskId;
        vm.messageList.push(paramsData);
        vm.radio = "1";
        vm.agreeOpinion = "";
        vm.disagreeOpinion = "";
        vm.thinkLevel = ""
      }
    });
  },
   created() {},
  methods: {
    selectResult(val) {
      this.radio = val;
    },

    onSubmit(values) {
      console.log("submit", values);
      this.$toast.loading({
        message: "提交中...",
        forbidClick: true,
        loadingType: "spinner",
        duration: 0
      });
      let formdata = new FormData()
      formdata.append('isResult', values.isResult)
      formdata.append('details', values.details)
      formdata.append('thinkHdLev', values.thinkHdLev)
      formdata.append('taskId', this.taskId)
      majorAdd(`/majorapprove/add`,formdata)
        .then(res => {
          this.$toast.clear();
          this.$toast.success({
            message: "提交成功",
            duration: 2000
          });
          history.go(-1);
        })
        .catch(() => {
          this.$toast.clear();
          this.$toast.fail("提交失败,请稍后再试");
        });
    },

    // 所属工程名称
    onConThinkLevel(value) {
      this.thinkLevel = value;
      this.showProjectName = false;
    },
     // 详情
    goDetail(taskId) {
      this.$router.push({
        name: "normal-detail",
        params: {
          id: taskId
        }
      });
    },


    cancel() {
      this.$router.go(-1);
    }
  }
};
</script>
<style lang="less" scoped>
/* @import url(); 引入css类 */
.van-cell-group--inset {
  margin: 0;
  margin-bottom: 10px;
  padding: 10px;
  font-size: 13px;
  position: relative;
  .van-row {
    margin-bottom: 0.133333rem;
    line-height: 0.64rem;
  }
  .van-overlay {
    position: absolute;
    .wrapper {
      display: flex;
      align-items: center;
      justify-content: space-evenly;
      height: 100%;
    }
  }
}
.detail {
  position: absolute;
  bottom: 0.32rem;
  right: 15px;
  color: #2a80f7;
  font-weight: bolder;
  z-index: 99;
}
</style>
